Subject: Re: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: kobarity <[email-masked]>
Date: Sun, 09 Jun 2024 00:34:26 +0900

kobarity wrote:
> 
> Mattias Engdegård wrote:
> > 
> > 4 juni 2024 kl. 16.29 skrev kobarity <[email-masked]>:
> > 
> > > The attached is the revised patch.  In order to bind
> > > `python-shell-interpreter' consistently, new macros
> > > `python-tests-with-shell-interpreter' and
> > > `python-tests-with-temp-buffer-with-shell-interpreter' were
> > > introduced.  The patch is larger because some of the indentations have
> > > been changed by using new macros.  I have fixed
> > > `python-shell-interpreter' was not bound correctly in some ERTs, so
> > > you might find new ERTs that fail with Python 2 on Mac.
> > 
> > It works here.
> > 
> > > 1. Set EMACS_PYTHON_INTERPRETER environment variable to "python" and
> > >   run ERTs.  The expectation is that the 7 ERTs that previously
> > >   resulted in errors will be skipped.
> > 
> > Yes.
> > 
> > > 2. Change the order of the interpreters in
> > >   `python-tests-get-shell-interpreter' to  "python" "python3"
> > >   "python2" and run ERTs.  The expectation is that the 7 ERTs that
> > >   previously failed will succeed.
> > 
> > Yes.
> > 
> > > However, if the interpreter specified by EMACS_PYTHON_INTERPRETER is
> > > not found, it is likely that EMACS_PYTHON_INTERPRETER is incorrectly
> > > configured, and I would prefer to let it fail rather than let it be
> > > skipped.
> > 
> > Yes, which is what happens with your patch, and I agree that this is the best outcome.
> 
> Thanks for the early confirmation.
> 
> > Would you like me to push your patch?
> 
> Thanks again.  I will wait a few days to see if I can get feedback
> from others.

Since there doesn't seem to be any other feedback, could you please
apply the patch?